# Tmux configuration file

set-option -s escape-time 0

unbind C-b
unbind C-Space
set -g prefix C-Space
bind C-Space send-prefix

unbind Q
bind Q source-file $XDG_CONFIG_HOME/tmux/tmux.conf \; display "Reloaded config"

unbind '\'
unbind -
unbind %
unbind '"'

bind '\' split-window -h -c '#{pane_current_path}'
bind - split-window -v -c '#{pane_current_path}'

bind c new-window -c '#{pane_current_path}'

bind -r h select-pane -L
bind -r j select-pane -D
bind -r k select-pane -U
bind -r l select-pane -R

bind -r H resize-pane -L 2
bind -r J resize-pane -D 2
bind -r K resize-pane -U 2
bind -r L resize-pane -R 2

bind -r n next-window
bind -r p previous-window

bind X confirm kill-window
bind T confirm kill-session

bind M set -g mouse

set -g pane-border-indicators colour
set -g pane-active-border-style fg="#d8a657",bg=default
set -g pane-border-style fg="#1d2021",bg=default
set -g pane-border-lines single

set -g popup-border-style fg="#d8a657",bg=default
set -g popup-border-lines rounded

set -g clock-mode-colour "#fabd2f"

set -g display-panes-active-colour "#d8a657"
set -g display-panes-time 10000

set -g window-size largest
set -g renumber-windows on

set -g base-index 1
setw -g pane-base-index 1

set -g status-position bottom
set -g status-style bg="#1d2021",fg="#d4be98",bold
set -g status-keys vi
# set -g status-right '#{?client_prefix,#[fg=#000000]#[bg=#fabd2f]#[bold] PREFIX ,}'
set -g status-right '#{?client_prefix,#[fg=#000000]#[bg=#fabd2f]#[bold]      ,}'
set -wg window-status-current-style bg="#d8a657",fg="#1d2021"

set -g cursor-style blinking-underline

set -g focus-events on
set -g visual-bell off

set -g mouse on
